* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  direction: rtl;
  font-family: "Rubik", sans-serif  ;
}


h1 {
  font-size: 20px;
  margin-top: 15px;
}

@media (max-width: 575px) {
  h1 {
      font-size: 20px;
  }
  
}


.quiz-app{
  margin: 20px auto;
  width: 80%;
  background-color: #f8f8f8;
  padding: 15px;
  max-width: 600px;

}


@media (max-width: 575px) {
  .quiz-app {
    margin: 10px auto;
    width: 100%;
    background-color: #f8f8f8;
    padding: 6px;
  }
}

.quiz-app .quiz-info{
  display: flex;
  background-color: #fff;
  padding: 20px;
}

@media (max-width: 575px) {
  .quiz-app .quiz-info {
    padding: 10px;
    font-size: 12px;
  }
}


.quiz-app .theText{
  width: 80%;
  margin: 0 auto;
}



@media (max-width: 575px) {
  .quiz-app .theText{
    width: 95%;
    margin: 0 auto;
  }
}

.quiz-app .theText h2 {
  text-align: center;
  color: #0075ff;
}


@media (max-width: 575px) {
  .quiz-app .theText h2 {
    font-size: 20px;
    padding: 10px;
    margin: 0;
  }
}

.quiz-app .theText p {
  text-align: justify;
  color: #555;
  line-height: 170%;
}


@media (max-width: 575px) {
  .quiz-app .theText p {
    line-height: 150%;
  }
  
}

.quiz-app .quiz-info .category{
  flex: 1;
}

.quiz-app .quiz-info .count{
  flex: 1;
  text-align: left;
}

.quiz-app .quiz-area{
  background-color:#fff ;
  padding: 20px;
  margin-top: 15px;
}

.quiz-app .quiz-area h2{
  margin: 0;
  font-size: 18px;
}

.quiz-app .answers-area{
  background-color:#fff ;
  padding: 0 20px 20px;
}

.quiz-app .answers-area .answer {
  background-color:#f9f9f9 ;
  padding: 15px;
}

.quiz-app .answers-area .answer:not(:last-child) {
  border-bottom: 1px solid #dfdfdf;
}

.quiz-app .answers-area .answer input[type="Radio"]:checked + label{
  color: #0075ff;
}

.quiz-app .answers-area .answer label{
  cursor: pointer;
  font-weight: bold;
  color: #777;
  margin-right: 5px;
  position: relative;
  top: -1px;
}

.quiz-app .submit-button {
  background-color: #0075ff;
  display: block;
  width: 70%;
  padding: 7px 7px;
  border: none;
  color: #fff;
  font-weight: bold;
  font-size: 18px;
  cursor: pointer;
  border-radius: 6px;
  margin: 20px auto;
}

.quiz-app .submit-button:hover{
  box-shadow: 0  0.4rem 0.4rem 0 rgba(8, 114, 244, 0.6);
  transition: transform 150ms;
  transform: scale(1.01);
}

.quiz-app .submit-button:focus{
  outline: none;
}

.quiz-app .bullets{
  border-top: 1px solid #dfdfdf;
  background-color: #fff;
  display: flex;
  padding: 20px;
}

.quiz-app .bullets .spans{
  flex: 1;
  display: flex;

}

.quiz-app .bullets .spans span {
  width: 20px;
  height: 20px;
  background-color: #ddd;
  margin-left: 5px;
  border-radius: 50%;
  }


  @media (max-width: 575px) {
    .quiz-app .bullets .spans span {
      width: 15px;
      height: 15px;
    }
    
  }

  
.quiz-app .bullets .spans span.on {
  background-color: #0075ff;
}

.quiz-app .bullets .countdown {
  direction: ltr;
}

.quiz-app .results  {
  text-align: center;
  margin-top: 10px;
  font-size: 18px;

}

.quiz-app .results span {
  font-weight: bold;

}
.quiz-app .results span.bad{
  color: #dc0a0a ;
}

.quiz-app .results span.good{
  color: #009688 ;
}

.quiz-app .results span.perfect {
  color: #0075ff ;
}


.btn {
  font-size: 1rem;
  padding: 0.5rem 0;
  width: 60%;
  max-width: 600px;
  text-align: center;
  margin-bottom: 1.7rem;
  text-decoration: none;
  color: #eee;
  background: linear-gradient(90deg, rgb(18,92,255) 0%, rgb(0, 102, 255) 100%);
  border-radius: 4px;
  display: block;
  margin: auto;
}

@media (max-width: 575px) {
  .btn {
      font-size: 1rem;
      width: 100%;
      
  }
}
.btn:hover{
  cursor: pointer;
  box-shadow: 0  0.4rem 0.4rem 0 rgba(8, 114, 244, 0.6);
  transition: transform 150ms;
  transform: scale(1.01);
}